unit _frmVariables;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls, dxSkinsCore,
  dxSkinOffice2019Colorful, cxGraphics, cxLookAndFeels, cxLookAndFeelPainters,
  Vcl.Menus, cxControls, cxStyles, cxCustomData, cxFilter, cxData,
  cxDataStorage, cxEdit, cxNavigator, dxDateRanges, dxScrollbarAnnotations,
  Data.DB, cxDBData, cxGridLevel, cxClasses, cxGridCustomView,
  cxGridCustomTableView, cxGridTableView, cxGridDBTableView, cxGrid, cxButtons,
  cxDropDownEdit;

type
  TfrmVariables = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    cxButton1: TcxButton;
    cxGrid1DBTableView1: TcxGridDBTableView;
    cxGrid1Level1: TcxGridLevel;
    cxGrid1: TcxGrid;
    cxGrid1DBTableView1fldName: TcxGridDBColumn;
    cxGrid1DBTableView1fldValue: TcxGridDBColumn;
    cxGrid1DBTableView1fldType: TcxGridDBColumn;
    cxGrid1DBTableView1fldXPath: TcxGridDBColumn;
    cxGrid1DBTableView1fldContent: TcxGridDBColumn;
    cxGrid1DBTableView1fldURLFilter: TcxGridDBColumn;
    cxGrid1DBTableView1fldPresetFilter: TcxGridDBColumn;
    procedure cxButton1Click(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmVariables: TfrmVariables;

implementation

{$R *.dfm}

uses _frmMain;

procedure TfrmVariables.cxButton1Click(Sender: TObject);
begin
  Close;
end;

procedure TfrmVariables.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #27 then
  begin
    Key := #0;
    Close;
  end;
end;

end.
